pyFAI.ext package
=================

pyFAI.ext.bilinear module
-------------------------

.. automodule:: pyFAI.ext.bilinear
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.fastcrc module
------------------------

.. automodule:: pyFAI.ext.fastcrc
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.histogram module
--------------------------

.. automodule:: pyFAI.ext.histogram
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.inpainting module
---------------------------

.. automodule:: pyFAI.ext.inpainting
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.invert_geometry module
--------------------------------

.. automodule:: pyFAI.ext.invert_geometry
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.morphology module
---------------------------

.. automodule:: pyFAI.ext.morphology
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.preproc module
------------------------

.. automodule:: pyFAI.ext.preproc
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.reconstruct module
----------------------------

.. automodule:: pyFAI.ext.reconstruct
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.relabel module
------------------------

.. automodule:: pyFAI.ext.relabel
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.setup module
----------------------

.. automodule:: pyFAI.ext.setup
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.sparse_builder module
-------------------------------

.. automodule:: pyFAI.ext.sparse_builder
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.sparse_utils module
-----------------------------

.. automodule:: pyFAI.ext.sparse_utils
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.splitBBox module
--------------------------

.. automodule:: pyFAI.ext.splitBBox
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.splitBBoxCSR module
-----------------------------

.. automodule:: pyFAI.ext.splitBBoxCSR
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.splitBBoxLUT module
-----------------------------

.. automodule:: pyFAI.ext.splitBBoxLUT
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.splitPixel module
---------------------------

.. automodule:: pyFAI.ext.splitPixel
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.splitPixelFull module
-------------------------------

.. automodule:: pyFAI.ext.splitPixelFull
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.splitPixelFullCSR module
----------------------------------

.. automodule:: pyFAI.ext.splitPixelFullCSR
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.splitPixelFullLUT module
----------------------------------

.. automodule:: pyFAI.ext.splitPixelFullLUT
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext.watershed module
--------------------------

.. automodule:: pyFAI.ext.watershed
    :members:
    :undoc-members:
    :show-inheritance:

Module contents
---------------

.. automodule:: pyFAI.ext
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.ext private package
=========================

:mod:`ext._bispev` Module
-------------------------

.. automodule:: pyFAI.ext._bispev
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ext._blob` Module
-----------------------

.. automodule:: pyFAI.ext._blob
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ext._convolution` Module
------------------------------

.. automodule:: pyFAI.ext._convolution
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ext._distortion` Module
-----------------------------

.. automodule:: pyFAI.ext._distortion
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ext._geometry` Module
---------------------------

.. automodule:: pyFAI.ext._geometry
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ext._tree` Module
-----------------------

.. automodule:: pyFAI.ext._tree
    :members:
    :undoc-members:
    :show-inheritance:
